Bug 446745 - Too many search operations
Too many search operations
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
9
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-15 16:12 EDT by Mathieu Bridon
Modified: 2008-10-14 09:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-14 09:04:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mathieu Bridon 2008-05-15 16:12:04 EDT
Description of problem:
gnome-packagekit offers the possibility to check informations on the selected
package. However, every click on a new package, or on a different information
(i.e. description, file list, ...) will launch a new yum (or other backend)
query to fetch those informations.

Version-Release number of selected component (if applicable):
gnome-packagekit-0.1.12-12.20080430.fc9.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Play a little with installer / updater
2. Select a package, click on another
3. Switch tabs on the same package
  
Actual results:
gnome-packagekit launches a new backend request for each change

Expected results:
gnome-packagekit should be a little wiser.

* for updater:
The number of packages to update (and thus review) is usually not very big. So
gnome-packagekit could launch only one query, fetch all informations for all
packages, and then display them when you select a package (as pup was doing).

In fact, this makes sense as if you are reviewing packages to update, you
probably want as much informations on those updates as possible (bug fixed, etc...).

* for the installer:
Obviously, the installer can't behave the same way as the number of packages is
just too important. However, improvements could be made.

For instance, when you select a package, all informations for this package
should be fetched, so that when you switch to another tab, the transition is
smoother.
Comment 1 Richard Hughes 2008-05-15 16:14:13 EDT
What you describe is done by the yum2 backend -- it's WIP but should be ready in
a few weeks.
Comment 2 Richard Hughes 2008-07-04 06:10:30 EDT
The updater detail list is already got all at once in master. We're still
working on making yum2 as good as yum.
Comment 3 Mathieu Bridon 2008-07-04 07:21:08 EDT
Great news ! :)

Will it land in F9 or will we have to wait until F10 ?

PS: when you speak about "making yum2 as good as yum", do you mean making the
PackageKit yum2 backend as good as the real yum ? Or are there some other yums ?
Comment 4 Richard Hughes 2008-07-04 09:03:35 EDT
I'm just building 0.2.3 for F-9 now, but it'll sit in updates testing for a good
few weeks I guess. The caching code in new in master, and will be in rawhide
today as well, and if it's okay, it'll be in 0.2.4. Phew. :-)

yum2 is the second yum backend and is a different model. It works as a
mini-daemon, and does not get spawned on each request, making each operation a
bit quicker. It's also buggier than yum, but we'll switch to use yum2 by default
in F10.
Comment 5 Richard Hughes 2008-10-14 09:04:58 EDT
The yum dispatcher (better than yum2) is now in rawhide.

Note You need to log in before you can comment on or make changes to this bug.